# 64bit spec-file
#
# PCLinuxOS Copyright by Bill Reynolds (Texstar)

%define name		wallpaper-theme-pclinuxos
%define pname		PCLinuxOS-2014
%define version		2.0.0
%define release		%mkrel 2

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		PCLinuxOS Default Wallpaper Theme 2014
URL:			http://www.pclinuxos.com
Group:			Graphical desktop/KDE4
License:		GPL v3
Source:			%{name}-%{version}.tar.xz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:		noarch
Obsoletes:		wallpaper-theme-default
Provides:		wallpaper-theme-default = %version-%release

%description
%{summary}

%prep
%setup -q

%install
%__rm -rf %buildroot

install -d -m 755 %buildroot%{_datadir}/wallpapers
cp -fr * %buildroot%{_datadir}/wallpapers

%posttrans
rm -rf /var/tmp/kdecache-*/plasma-wallpapers

if [ ! -d %{_datadir}/wallpapers/Default ]; then
mkdir -p %{_datadir}/wallpapers/Default
fi



cd %{_datadir}/wallpapers/Default
cat > metadata.desktop << "EOF"
[Desktop Entry]
Name=Default
EOF
rm -f contents
ln -s ../%{pname}/contents contents


if [ -d %{_datadir}/lxde/wallpapers ]; then 
mv %{_datadir}/wallpapers/%{pname}/lxde_gray.jpg %{_datadir}/lxde/wallpapers
mv %{_datadir}/wallpapers/%{pname}/lxde_blue_silver.jpg %{_datadir}/lxde/wallpapers
fi

if [ -d %{_datadir}/backgrounds/mate/desktop ]; then
mv %{_datadir}/wallpapers/%{pname}/Stripes.png %{_datadir}/backgrounds/mate/desktop
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_datadir}/wallpapers/%{pname}/*
%dir %{_datadir}/wallpapers/%{pname}


%changelog
* Thu Jun 19 2014 bb <bb> 2.0.0-2pclos2014
- obsolete wallpaper-theme-default

* Wed Jun 18 2014 bb <bb> 2.0.0-1pclos2014
- update

* Tue Jul 16 2013 Texstar <texstar at gmail.com> 1.1-2pclos2013
- fix rpm group

* Wed Mar 27 2013 pinoc <vogtpet at gmail.com> 1.1-1pclos2013
- new images for final 64
- added post to set to Default so it complies with kde4-config

* Tue Jul 17 2012 Neal <nealbrks0 at gmail dot com> 1.0-1pclos2012
- process

* Tue Jul 17 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.0-1_archie_2012
- Create package
